petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISOnComm

Split a parallel IS on subcomms (usually self) or concatenate index sets on subcomms into a parallel index set

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISOnComm(IS is,MPI_Comm comm,PetscCopyMode mode,IS *newis)

Collective on IS and comm Many br

### Input Arguments

| is | - index set Many br
| comm | - communicator for new index set Many br
| mode | - copy semantics, PETSC_USE_POINTER for no-copy if possible, otherwise PETSC_COPY_VALUES Many br

### Output Arguments

newis -new IS on comm Many br

Many br

### Notes

It is usually desirable to create a parallel IS and look at the local part when necessary. Many br

This function is useful if serial ISs must be created independently, or to view many Many brlogically independent serial ISs. Many br

The input IS must have the same type on every process. Many br

### See Also

ISSplit()

Level:advanced
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages